ea-profiles-cpanel (1.0-71+71.1.cpanel) stable; urgency=low

  * ZC-11857: Replace mod_ruid with mod_suexec for WP2 profiles

 -- Brian Mendoza <brian.mendoza@cpanel.net>  Thu, 30 May 2024 00:00:00 -0000

ea-profiles-cpanel (1.0-70) stable; urgency=low

  * ZC-11574: Set epoch to `5` to coordinate w/ Cloudlinux’s fixes

 -- Dan Muey <dan@cpanel.net>  Tue, 02 Apr 2024 00:00:00 -0000

ea-profiles-cpanel (1.0-69) stable; urgency=low

  * ZC-11674: Add php-redis extension to WP2 profiles

 -- Brian Mendoza <brian.mendoza@cpanel.net>  Tue, 12 Mar 2024 00:00:00 -0000

ea-profiles-cpanel (1.0-68) stable; urgency=low

  * ZC-11378: Add back original changes, change %post to %posttrans

 -- Brian Mendoza <brian.mendoza@cpanel.net>  Wed, 03 Jan 2024 00:00:00 -0000

ea-profiles-cpanel (1.0-67) stable; urgency=low

  * ZC-11494: Rolling “ea-profiles-cpanel” back to “562229d”: scriptlets seem to be happening out of order on a9

 -- Dan Muey <dan@cpanel.net>  Wed, 20 Dec 2023 00:00:00 -0000

ea-profiles-cpanel (1.0-66) stable; urgency=low

  * ZC-11378: Clean up /etc/cpanel/ea4/profiles/cpanel related %files

 -- Brian Mendoza <brian.mendoza@cpanel.net>  Fri, 15 Dec 2023 00:00:00 -0000

ea-profiles-cpanel (1.0-65) stable; urgency=low

  * ZC-11356: Add additional WP2 profiles

 -- Dan Muey <dan@cpanel.net>  Tue, 14 Nov 2023 00:00:00 -0000

ea-profiles-cpanel (1.0-64) stable; urgency=low

  * ZC-11352: Allow WP2 to provide a directory of profiles as the default

 -- Julian Brown <julian.brown@cpanel.net>  Tue, 07 Nov 2023 00:00:00 -0000

ea-profiles-cpanel (1.0-63) stable; urgency=low

  * ZC-11253: Update EA4 profiles - Add ea-php82, Remove ea-php80

 -- Brian Mendoza <brian.mendoza@cpanel.net>  Fri, 06 Oct 2023 00:00:00 -0000

ea-profiles-cpanel (1.0-62) stable; urgency=low

  * ZC-10971: Add WP² profile and license-based profile support

 -- Dan Muey <dan@cpanel.net>  Thu, 15 Jun 2023 00:00:00 -0000

ea-profiles-cpanel (1.0-61) stable; urgency=low

  * Don't ship rubypassenger27.json on CentOS 9+

 -- Thomas Baugh <thomas.baugh@cpanel.net>  Fri, 31 Mar 2023 00:00:00 -0000

ea-profiles-cpanel (1.0-60) stable; urgency=low

  * ZC-10584: Drop special C7 allphp profiles since PHP 8.2 is available on C7

 -- Dan Muey <dan@cpanel.net>  Tue, 10 Jan 2023 00:00:00 -0000

ea-profiles-cpanel (1.0-59) stable; urgency=low

  * ZC-10447: Update profiles for PHP 7.4 being EOL and PHP 8.2 being available

 -- Dan Muey <dan@cpanel.net>  Thu, 22 Dec 2022 00:00:00 -0000

ea-profiles-cpanel (1.0-58) stable; urgency=low

  * ZC-9823: Update profiles for PHP8

 -- Julian Brown <julian.brown@cpanel.net>  Wed, 16 Mar 2022 00:00:00 -0000

ea-profiles-cpanel (1.0-57) stable; urgency=low

  * ZC-8539: Create Default NGINX® profile

 -- Dan Muey <dan@cpanel.net>  Wed, 12 Jan 2022 00:00:00 -0000

ea-profiles-cpanel (1.0-56) stable; urgency=low

  * ZC-9367: Add php-zip to default profile

 -- Julian Brown <julian.brown@cpanel.net>  Wed, 08 Dec 2021 00:00:00 -0000

ea-profiles-cpanel (1.0-55) stable; urgency=low

  * EA-10325: Update “mpm_itk worker” profile(s):  add “ea-php74”
  * EA-10325: Update “allphp allphp-opcache default mpm_itk worker” profile(s):  remove “ea-php73”

 -- Travis Holloway <t.holloway@cpanel.net>  Mon, 06 Dec 2021 00:00:00 -0000

ea-profiles-cpanel (1.0-54) stable; urgency=low

  * ZC-9469: remove ea-php..-build from allphp-opcache.json

 -- Dan Muey <dan@cpanel.net>  Mon, 08 Nov 2021 00:00:00 -0000

ea-profiles-cpanel (1.0-53) stable; urgency=low

  * EA-9481: Update Phusion passenger version

 -- Cory McIntire <cory@cpanel.net>  Fri, 12 Mar 2021 00:00:00 -0000

ea-profiles-cpanel (1.0-52) stable; urgency=low

  * EA-9613: Update “allphp allphp-opcache default” profile(s):  add “ea-php80” based on “ea-php73”

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 02 Mar 2021 00:00:00 -0000

ea-profiles-cpanel (1.0-51) stable; urgency=low

  * ZC-7620: Update Ruby profile for 2.7 on C7 and C8

 -- Daniel Muey <dan@cpanel.net>  Thu, 10 Dec 2020 00:00:00 -0000

ea-profiles-cpanel (1.0-50) stable; urgency=low

  * EA-9444: Remove ea-php72 from all profiles

 -- Cory McIntire <cory@cpanel.net>  Mon, 07 Dec 2020 00:00:00 -0000

ea-profiles-cpanel (1.0-49) stable; urgency=low

  * ZC-7499: Update “default” profile:  add “ea-php74” based on “ea-php73”

 -- Daniel Muey <dan@cpanel.net>  Mon, 05 Oct 2020 00:00:00 -0000

ea-profiles-cpanel (1.0-48) stable; urgency=low

  * EA-9154: Add iconv and mbstring to the mpm_itk and worker profiles

 -- Tim Mullin <tim@cpanel.net>  Thu, 23 Jul 2020 00:00:00 -0000

ea-profiles-cpanel (1.0-47) stable; urgency=low

  * EA-9045: Remove PHP 7.1 from the profiles since it is EOL

 -- Tim Mullin <tim@cpanel.net>  Thu, 07 May 2020 00:00:00 -0000

ea-profiles-cpanel (1.0-46) stable; urgency=low

  * ZC-6297: Add PHP 7.4 to all and all opcache
  * ZC-6283: order allphp* tags lowest to highest like the rest

 -- Julian Brown <julian.brown@cpanel.net>  Wed, 15 Apr 2020 00:00:00 -0000

ea-profiles-cpanel (1.0.45) stable; urgency=low

  * EA-8905: Revert PHP 7.4 from profiles as it was breaking smokers.

 -- Cory McIntire <cory@cpanel.net>  Fri, 06 Mar 2020 00:00:00 -0000

ea-profiles-cpanel (1.0-44) stable; urgency=low

  * ZC-5923: Add PHP 7.4 where appropriate

 -- Daniel Muey <dan@cpanel.net>  Tue, 18 Feb 2020 00:00:00 -0000

ea-profiles-cpanel (1.0-43) stable; urgency=low

  * EA-8864: Add php73 to the mpm_itk and worker profiles

 -- Tim Mullin <tim@cpanel.net>  Mon, 17 Feb 2020 00:00:00 -0000

ea-profiles-cpanel (1.0-42) stable; urgency=low

  * ZC-5770: Add iconv and mbstring to the default profile

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 12 Dec 2019 00:00:00 -0000

ea-profiles-cpanel (1.0-41) stable; urgency=low

  * ZC-4757: Add PHP 7.3 to the default profile

 -- Daniel Muey <dan@cpanel.net>  Thu, 06 Jun 2019 00:00:00 -0000

ea-profiles-cpanel (1.0-40) stable; urgency=low

  * ZC-4685: Add ea-nodejs10 to passenger profile

 -- Daniel Muey <dan@cpanel.net>  Thu, 25 Apr 2019 00:00:00 -0000

ea-profiles-cpanel (1.0-39) stable; urgency=low

  * ZC-4701: Add PHP 7.3 to the all-PHP profiles

 -- Daniel Muey <dan@cpanel.net>  Mon, 11 Feb 2019 00:00:00 -0000

ea-profiles-cpanel (1.0-38) stable; urgency=low

  * ZC-4736: Add 7.2 to PHP profiles that should have it

 -- Daniel Muey <dan@cpanel.net>  Tue, 29 Jan 2019 00:00:00 -0000

ea-profiles-cpanel (1.0-37) stable; urgency=low

  * EA-4717 Remove PHP 5.6 and 7.0 from default EasyApache profiles

 -- Justin Schaefer <justins@cpanel.net>  Thu, 24 Jan 2019 00:00:00 -0000

ea-profiles-cpanel (1.0-36) stable; urgency=low

  * remove lsapi profile until the yum repo problem on CL boxes can be addressed

 -- Daniel Muey <dan@cpanel.net>  Wed, 09 Jan 2019 00:00:00 -0000

ea-profiles-cpanel (1.0-35) stable; urgency=low

  * EA-8110: Correct description for the "cPanel Default + MPM ITK" profile

 -- Tim Mullin <tim@cpanel.net>  Wed, 02 Jan 2019 00:00:00 -0000

ea-profiles-cpanel (1.0-34) stable; urgency=low

  * ZC-4444: Add lsapi profile

 -- Daniel Muey <dan@cpanel.net>  Wed, 28 Nov 2018 00:00:00 -0000

ea-profiles-cpanel (1.0-33) stable; urgency=low

  * EA-7541: remove ea-php55-php-fpm and duplicated ea-php56/70-php-fpm

 -- Cory McIntire <cory@cpanel.net>  Tue, 05 Jun 2018 00:00:00 -0000

ea-profiles-cpanel (1.0-32) stable; urgency=low

  * EA-7447: Add 7.2 to All PHPs and All PHPs opcache profiles

 -- Cory McIntire <cory@cpanel.net>  Mon, 07 May 2018 00:00:00 -0000

ea-profiles-cpanel (1.0-31) stable; urgency=low

  * EA-7172: Remove EOL PHPs from profiles, add 7.1

 -- Daniel Muey <dan@cpanel.net>  Tue, 17 Apr 2018 00:00:00 -0000

ea-profiles-cpanel (1.0-30) stable; urgency=low

  * Update the "Ruby via Passenger" profile to include additional Ruby gems

 -- Rishwanth Yeddula <rish@cpanel.net>  Thu, 08 Jun 2017 00:00:00 -0000

ea-profiles-cpanel (1.0-29) stable; urgency=low

  * Added a basic "Ruby via Passenger" profile

 -- Rishwanth Yeddula <rish@cpanel.net>  Sun, 21 May 2017 00:00:00 -0000

ea-profiles-cpanel (1.0-28) stable; urgency=low

  * Added PHP70 opcache to allphp-opcache profile

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Tue, 25 Apr 2017 00:00:00 -0000

ea-profiles-cpanel (1.0-27) stable; urgency=low

  * EA-5493: Added vendor field

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Fri, 16 Dec 2016 00:00:00 -0000

ea-profiles-cpanel (1.0-26) stable; urgency=low

  * EA-5025: remove packages from profiles that do not exist

 -- Dan Muey <dan@cpanel.net>  Tue, 16 Aug 2016 00:00:00 -0000

ea-profiles-cpanel (1.0-25) stable; urgency=low

  * EA-4383: Update Release value to OBS-proof versioning

 -- Dan Muey <dan@cpanel.net>  Mon, 20 Jun 2016 00:00:00 -0000

ea-profiles-cpanel (1.0-15) stable; urgency=low

  * Removed duplicate PHP FPM packages for PHP 5.5, PHP 5.6 and PHP 7.0 respectively from allphp.json and allphp-opcache.json profiles. (ZC-1956)

 -- Sricharan Angara <charan@cpanel.net>  Mon, 20 Jun 2016 00:00:00 -0000

ea-profiles-cpanel (1.0-14) stable; urgency=low

  * Added mod_security2 apache module to default and itk profiles (EA-4655)
  * Spec file cleanup (EA-4655)

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Thu, 02 Jun 2016 00:00:00 -0000

ea-profiles-cpanel (1.0-13) stable; urgency=low

  * Fixed previous changelog entry

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Mon, 23 May 2016 00:00:00 -0000

ea-profiles-cpanel (1.0-12) stable; urgency=low

  * Removed PHP 5.4 from profiles with PHP
  * Adding PHP 7.0 to profiles with PHP
  * Added PHP-FPM to all profiles that have PHP
  * Moved the previous default profile to a "worker" profile
  * Created a new default profile from the old ruid2 profile that uses mpm_prefork, ruid2

 -- Darren Mobley <darren@cpanel.net>  Tue, 17 May 2016 00:00:00 -0000

ea-profiles-cpanel (1.0-11) stable; urgency=low

  * ensure no profiles have 2 or more DSO PHP RPMs

 -- Dan Muey <dan@cpanel.net>  Tue, 10 Nov 2015 00:00:00 -0000

ea-profiles-cpanel (1.0-10) stable; urgency=low

  * Add php-xml to all php profiles

 -- Julian Brown <julian.brown@cpanel.net>  Wed, 28 Oct 2015 00:00:00 -0000

ea-profiles-cpanel (1.0-9) stable; urgency=low

  * Updated all profiles to approximately match those provided by EA3
  * Added new mcrypt extension to all profiles

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Tue, 11 Aug 2015 00:00:00 -0000

ea-profiles-cpanel (1.0-8) stable; urgency=low

  * ensure some basics in all profiles

 -- Dan Muey <dan@cpanel.net>  Wed, 05 Aug 2015 00:00:00 -0000

ea-profiles-cpanel (= 1.0-7) stable; urgency=low

  * use prefork mpm for ruid2

 -- Dan Muey <dan@cpanel.net>  Tue, 04 Aug 2015 00:00:00 -0000

ea-profiles-cpanel (1.0-6) stable; urgency=low

  * Add allphp, mpm_itk, and ruid2 profiles.
  * simplify files rpm section

 -- Dan Muey <dan@cpanel.net>  Mon, 03 Aug 2015 00:00:00 -0000

ea-profiles-cpanel (1.0-5) stable; urgency=low

  * Added ea-apache24-mod-cgid to nophp profile.

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 03 Aug 2015 00:00:00 -0000

ea-profiles-cpanel (1.0-4) stable; urgency=low

  * Removed ea-httpd package from profiles

 -- Darren Mobley <darren@cpanel.net>  Fri, 05 Jun 2015 00:00:00 -0000

ea-profiles-cpanel (1.0-3) stable; urgency=low

  * Bumped version for addition of mysql for php support

 -- Darren Mobley <darren@cpanel.net>  Wed, 03 Jun 2015 00:00:00 -0000

ea-profiles-cpanel (1.0-2) stable; urgency=low

  * Updated profiles to reflect change from ea-apache2 to ea-apache24

 -- Darren Mobley <darren@cpanel.net>  Wed, 27 May 2015 00:00:00 -0000

ea-profiles-cpanel (1.0-1) stable; urgency=low

  * Initial Profiles RPM creation

 -- Darren Mobley <darren@cpanel.net>  Tue, 26 May 2015 00:00:00 -0000

